rte_eth_ipv4_flow(3)

NAME
rte_eth_ipv4_flow

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

uint32_t src_ip
uint32_t dst_ip
uint8_t tos
uint8_t ttl
uint8_t proto

Detailed Description

A structure used to define the input for IPV4 flow

Definition at line 162 of file rte_eth_ctrl.h.

Field Documentation

  uint32_t src_ip
IPv4 source address in big endian.

Definition at line 163 of file rte_eth_ctrl.h.

  uint32_t dst_ip
IPv4 destination address in big endian.

Definition at line 164 of file rte_eth_ctrl.h.

  uint8_t tos
Type of service to match.

Definition at line 165 of file rte_eth_ctrl.h.

  uint8_t ttl
Time to live to match.

Definition at line 166 of file rte_eth_ctrl.h.

  uint8_t proto
Protocol, next header in big endian.

Definition at line 167 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.